Bug 192920 - ypserv -debuginfo package is useless
ypserv -debuginfo package is useless
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ypserv (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
Jay Turner
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2006-05-24 04:00 EDT by Bastien Nocera
Modified: 2015-01-07 19:12 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0448
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ypserv-2.8-no-strip-automake-complete.patch (223.75 KB, patch)
2006-05-24 04:00 EDT, Bastien Nocera
no flags Details | Diff
ypserv-2.8-spec-file-missing-var-yp.patch (539 bytes, patch)
2006-05-24 04:01 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-05-24 04:00:30 EDT
ypserv-2.8-21

The ypserv Makefiles strip the binaries before installation, thus rendering the
-debuginfo package pretty useless.

Attached is a patch against the current RHEL3 ypserv-2.8-21, with aclocal-1.7
and automake-1.7 run (they're not available on RHEL3, so needed to include those
in the patch), and a build fix (ypserv wasn't linking against libresolv despite
detecting it).

Also attached is a patch for the .spec file to install the /var/yp directory and
/var/yp/Makefile. I think that installation might still fail as the real /var/yp
will be installed by the Makefile.am in scripts/:
install-data-local:
        $(mkinstalldirs) $(DESTDIR)$(varypdir)
        $(INSTALL_DATA) $(top_builddir)/scripts/ypMakefile
$(DESTDIR)$(varypdir)/Makefile
Comment 1 Bastien Nocera 2006-05-24 04:00:31 EDT
Created attachment 129905 [details]
ypserv-2.8-no-strip-automake-complete.patch
Comment 2 Bastien Nocera 2006-05-24 04:01:25 EDT
Created attachment 129906 [details]
ypserv-2.8-spec-file-missing-var-yp.patch
Comment 3 Chris Feist 2007-03-09 12:40:01 EST
This bug will be fixed in the RHEL3.9 ypserv.

I ended up doing a much smaller patch to fix the problem (just patched the
Makefiles instead of the entire autoconf file).
Comment 4 Chris Feist 2007-03-09 15:08:56 EST
Fix has been built into ypserv-2.8-22
Comment 6 Kiersten (Kerri) Anderson 2007-03-19 13:51:46 EDT
Devel ACK.
Comment 11 Red Hat Bugzilla 2007-06-11 14:37:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0448.html

Note You need to log in before you can comment on or make changes to this bug.